Bug 67833 - Intel 845 IDE Not Recognized
Intel 845 IDE Not Recognized
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-07-02 13:46 EDT by C.M. Connelly
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description C.M. Connelly 2002-07-02 13:46:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The Intel 845 chipset's IDE controller is not recognized by the kernel.  The
machine functions, but any significant disk access results in high CPU load
making the machine pretty much unusable until the disk access completes.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot a machine with the 845 chipset (e.g., Dell Dimension 4500 or 4500S)
2. Mount a CD-ROM
3. Copy the contents of the CD-ROM to the disk drive

(Alternatively, build a large RPM such as a kernel or XFree86, which has to
unpack large tar files and apply a large number of patches.)


Actual Results:  X slows to the point of being unusable.  Xmms (playing mp3s)
starts skipping.  The load average on the machine increases.

Expected Results:  The copy or unpack should have happened in the background
without disrupting the machine's usability for other tasks.

Additional info:

00:00.0 Host bridge: Intel Corp. 82845 845 (Brookdale) Chipset Host Bridge (rev 11)
00:01.0 PCI bridge: Intel Corp. 82845 845 (Brookdale) Chipset AGP Bridge (rev 11)
00:1d.0 USB Controller: Intel Corp.: Unknown device 24c2 (rev 01)
00:1d.1 USB Controller: Intel Corp.: Unknown device 24c4 (rev 01)
00:1d.2 USB Controller: Intel Corp.: Unknown device 24c7 (rev 01)
00:1d.7 USB Controller: Intel Corp.: Unknown device 24cd (rev 01)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corp.: Unknown device 24c0 (rev 01)
00:1f.1 IDE interface: Intel Corp.: Unknown device 24cb (rev 01)
00:1f.3 SMBus: Intel Corp.: Unknown device 24c3 (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV20 [GeForce3 Ti200] (rev a3)
02:00.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
02:02.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
02:02.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 0a)

Excerpt from dmesg:

Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PCI_IDE: unknown IDE controller on PCI bus 00 device f9, VID=8086, DID=24cb
PCI: Device 00:1f.1 not available because of resource collisions
PCI_IDE: (ide_setup_pci_device:) Could not enable device.
hda: ST380021A, ATA DISK drive
hdb: MAXTOR 6L040J2, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=9729/255/63
hdb: 78177792 sectors (40027 MB) w/1818KiB Cache, CHS=4866/255/63
ide-floppy driver 0.99.newide

Machine is a Dell Dimension 4500; 2.4 GHz Pentium 4; 1 GB RAM.  Two IDE drives:
80 GB ST380021A; 40 GB Maxtor 6L040J2.

Same problem seen on another Dimension 4500 and on three Dimension 4500S
machines (similar chipset -- Intel 845G with Extreme Graphics).

Additional information on request.
Comment 1 Arjan van de Ven 2002-07-02 13:48:28 EDT
did you try the 2.4.18-5 kernel ?
Comment 2 C.M. Connelly 2002-07-02 14:15:37 EDT

Kernels that show this problem include Red Hat's 2.4.18-3, -4, and -5 as well as
the -5.58 kernel built from Rawhide.

I'm currently running 2.4.18-5 on all affected machines.
Comment 3 C.M. Connelly 2002-07-08 14:41:24 EDT
(The *ahem* was me realizing that I should have mentioned which kernels I'd
tried -- I saw your question after I'd posted my comment.)
Comment 4 Mike Meyer 2002-07-23 10:52:44 EDT
It appears (from the changelogs) that this problem is fixed in on of the ac
patches to the 2.4 kernel series.  I have *not* confirmed this by building a
kernel.  --Mike
Comment 5 C.M. Connelly 2002-07-23 19:58:29 EDT
That's what it looks like to me, too.  I'll try building a kernel from the
latest -ac release and see if it works.  ;-)

Comment 6 Mike Meyer 2002-07-24 09:34:36 EDT
I compiled and installed 2.4.19-pre10-ac2, and it did fix the DMA problem.

I also tried 2.4.19-rc3, and it did NOT fix the problem, however it is possible
I did not configure it completely properly.  I'll try again, and report my progress.

For now, I have a working system using pre10-ac2.

Comment 7 Arjan van de Ven 2002-07-24 09:37:08 EDT
the rawhide kernels also have such a fix
Comment 8 C.M. Connelly 2002-07-24 13:36:12 EDT
2.4.18rc3-ac3 fixes the IDE problems.

Comment 9 C.M. Connelly 2002-07-24 20:55:04 EDT
2.4.18-5.75 in Rawhide does fix the problem, unfortunately, the (evil,
proprietary) NVidia driver that I need to run X won't build against that kernel.

I may be able to get it to work, but I needed to be able to run X in order to
get some work done today.
Comment 10 C.M. Connelly 2002-07-25 17:29:39 EDT
I ran into a kernel panic building and installing VMware modules with the kernel
from Rawhide (2.4.18-5.75), but I was able to build and install working modules
by building that kernel myself from the source RPM and then installing the
kernel and kernel-source packages.  It looks like everything is working now. 
Yay!  Thanks!
Comment 11 Filippo Bosi 2003-04-23 10:35:09 EDT
rh 9.0 2.4.20-8 and 2.4.20-9 on inspiron 8500 do not correctly recognize ide
chip. The workaround is to install 2.4.18-27 from 8.0 distro (it works even on
9.0!) and call "hdparm -t1 /dev/hda" in /etc/rc.local
Comment 12 Bugzilla owner 2004-09-30 11:39:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.